function View($root) {
    var self = this;
    var $root = $root || {};
    var semester = {'Left': $('#semestersLeft'), 'Right': $('#semestersRight')};

    this.template = '<li id="%type%-%studentID%" class="TransferListItem">%studentName%</li>';

    this.changeCounter = function(n) {
        var jCounter = $('.TransferCounter');
        var c = +(jCounter.html());
        jCounter.html(c + n);
    };

    this.clearList = function (type) {
        var jList = $root.find("#" + type + "ItemsList");
        jList.html('');
    };

    this.fillList = function (type, students) {
        var jList = $root.find("#" + type + "ItemsList");
        this.clearList(type);
        students.forEach(function (elem) {
            var FullName = elem.LastName + ' ' + elem.FirstName + ' ' + elem.SecondName;
            var item = self.template.replace('%studentName%', FullName).replace('%studentID%', elem.ID).replace('%type%', type);
            jList.append(item);
        });
    };

    this.clearChecked = function (type, checkedstudents) {
        var jList = $root.find("#" + type + "ItemsList");
        checkedstudents.forEach(function(elem){
            jList.find('li[id=' + type + '-' + elem.itemID + ']').remove();
        });
        this.changeCounter(-checkedstudents.length);
    };

    this.clearSelection = function (type, checkedstudents) {
        var jList = $root.find("#" + type + "ItemsList");
        checkedstudents.forEach(function(elem){
            jList.find('li[id=' + type + '-' + elem.itemID + ']').removeClass('selected');
        });
    };

    this.addChecked = function (type, checkedstudents) {
        var jList = $root.find("#" + type + "ItemsList");
        var i = 0;
        checkedstudents.forEach(function (elem) {
            if (!$('#' + type + '-' + elem.itemID).length) {
                var item = self.template
                                    .replace('%studentName%', elem.value)
                                    .replace('%studentID%', elem.itemID)
                                    .replace('%type%', type);
                jList.append(item);
                i++;
            }
        });
        this.changeCounter(+i);
    };

    // Обработчики событий
    var onAdditionToTransfer = function () {
        var from = 'Left';
        var to = 'Transfer';

        var jFrom = $root.find("#" + from + "ItemsList");

        // Создание массива из всех выбранных элементов, являющихся дочерними
        var listStudentsID = jFrom.find('li.selected').map(function () {
            return {'itemID': this.id.split('-')[1], 'value': $(this).html()};
        }).get();

        self.emit('addition', from, to, listStudentsID);
    };

    var onAdditionAllToTransfer = function () {
        var from = 'Left';
        var to = 'Transfer';

        var jFrom = $root.find("#" + from + "ItemsList");

        // Создание массива из всех выбранных элементов, являющихся дочерними
        var listStudentsID = jFrom.find('li').map(function () {
            return {'itemID': this.id.split('-')[1], 'value': $(this).html()};
        }).get();

        self.emit('addition', from, to, listStudentsID);
    };

    var onDeletionFromTransfer = function () {
        var from = 'Transfer';

        var jFrom = $root.find("#" + from + "ItemsList");

        // Создание массива из всех выбранных элементов, являющихся дочерними
        var listStudentsID = jFrom.find('li.selected').map(function () {
            return {'itemID': this.id.split('-')[1], 'value': $(this).html()};
        }).get();

        self.emit('deletion', from, listStudentsID);
    };

    var onDeletionAllFromTransfer = function () {
        var from = 'Transfer';

        var jFrom = $root.find("#" + from + "ItemsList");

        // Создание массива из всех выбранных элементов, являющихся дочерними
        var listStudentsID = jFrom.find('li').map(function () {
            return {'itemID': this.id.split('-')[1], 'value': $(this).html()};
        }).get();

        self.emit('deletion', from, listStudentsID);
    };

    var onTransfer = function() {
        var groupID = $('#groupRight').val();
        var semesterID = +semester['Right'].val();
        self.emit('transfer', groupID, semesterID);
    };

    var onGroupSelect = function () {
        var id = $(this).attr('id');
        var res = /group(.*)/.exec(id);
        var type = res ? res[1] : '';
        var groupID = parseInt($(this).val());
        var semesterID = +semester[type].val();

        self.emit('groupLoad', type, groupID, semesterID);
    };

    // Обработка выбора группы
    $root.find('#groupLeft').on('change', onGroupSelect);
    $root.find('#groupRight').on('change', onGroupSelect);
    // Обработка переноса по стрелкам
    $root.find('#addToTransferList').on('click', onAdditionToTransfer);
    $root.find('#addAllToTransferList').on('click', onAdditionAllToTransfer);
    $root.find('#deleteFromTransferList').on('click', onDeletionFromTransfer);
    $root.find('#deleteAllFromTransferList').on('click', onDeletionAllFromTransfer);
    // Подтверждение переноса
    $root.find('#transferApply').on('click', onTransfer);
    // Удаление студентов
    //$root.find('#studentDelete').on('click', onTransferRight);

}
View.prototype = Object.create(new EventEmitter());